<div class="container card bg-dark text-white">
    <div class="card-header">
        Crear Tienda
        <button type="button" class="close btn-danger " aria-label="Close" routerLink="/tiendas">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="card-body">
        <form #tiendaForm="ngForm">
            <div class="form-group row">
                <label for="" class="col-form-label col-sm-2">Nombre</label>
                <div class="col-sm-6">
                    <input class="form-control" type="text" [(ngModel)]="tienda.nombre" name="nombre" required
                        #nombre="ngModel">
                    <div class="alert alert-danger" *ngIf="nombre.invalid && nombre.touched">
                        <!-- titulo.touched  titulo.dirty-->
                        <div *ngIf="nombre.errors.required">
                            El campo nombre es obligatorio
                        </div>
                    </div>

                </div>
            </div>
           

            <div class="form-group row">
                <label for="" class="col-form-label col-sm-2">Dirección</label>
                <div class="col-sm-6">
                    <input class="form-control" type="text" [(ngModel)]="tienda.direccion" name="direccion" required
                        #direccion="ngModel">
                    <div class="alert alert-danger" *ngIf="direccion.invalid && direccion.touched">
                        <!-- titulo.touched  titulo.dirty-->
                        <div *ngIf="direccion.errors.required">
                            Introduzca una dirección
                        </div>
                    </div>
                </div>
            </div>     
            
            <div class="form-group row">
                <div class="col-sm-6">
                    <button class="btn btn-primary" type="button" (click)="create()" 
                        [disabled]="!tiendaForm.form.valid">Crear</button>
                   <!-- <button class="btn btn-primary" type="button" (click)="update()" *ngIf="nuevoJuego"
                        [disabled]="!juegoform.form.valid">Editar</button>-->
                </div>
            </div>
                      
        </form>
    </div>
</div>